Skip to main content

Class CreateGraphRequest.Options

java.lang.Object
com.gpudb.protocol.CreateGraphRequest.Options
Enclosing class:

public static final class CreateGraphRequest.Options extends Object
A set of string constants for the CreateGraphRequest parameter options.

Optional parameters.

  • Field Summary

    Fields
    Modifier and Type
    Field
    Description
    static final String
    Adds a table monitor to every table used in the creation of the graph; this table monitor will trigger the graph to update dynamically upon inserts to the source table(s).
    static final String
    Adds dummy ‘pillowed’ edges around intersection nodes where there are more than three edges so that additional weight penalties can be imposed by the solve endpoints.
    static final String
    Multigraph choice; allowing multiple edges with the same node pairs if set to true, otherwise, new edges with existing same node pairs will not be inserted.
    static final String
    If table exists (should be generated by the match/graph match_embedding solver), the vector embeddings for the newly inserted nodes will be appended into this table.
    static final String
     
    static final String
    If specified, the created graph is also created as a table with the given name, in [schema_name.]table_name format, using standard name resolution rules and meeting table naming criteria.
    static final String
    Supported values: TRUE FALSE The default value is FALSE.
    static final String
    If provided the label string will be split according to this delimiter and each sub-string will be applied as a separate label onto the specified edge.
    static final String
    If node geospatial positions are input (e.g., WKTPOINT, X, Y), determines the minimum separation allowed between unique nodes.
    static final String
    If set to TRUE and the graph (using graphName) already exists, the graph is deleted and recreated.
    static final String
    If set to TRUE, the graph will be saved in the persist directory (see the config reference for more information).
    static final String
    Indicates which graph server(s) to send the request to.
    static final String
     
    static final String
    Use an range tree structure to accelerate and improve the accuracy of snapping, especially to edges.
  • Method Summary

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
  • Field Details

    • MERGE_TOLERANCE

      public static final String MERGE_TOLERANCE
      If node geospatial positions are input (e.g., WKTPOINT, X, Y), determines the minimum separation allowed between unique nodes. If nodes are within the tolerance of each other, they will be merged as a single node. The default value is ‘1.0E-5’.
    • RECREATE

      public static final String RECREATE
      If set to TRUE and the graph (using graphName) already exists, the graph is deleted and recreated. Supported values:The default value is FALSE.
    • TRUE

      public static final String TRUE
    • FALSE

      public static final String FALSE
    • SAVE_PERSIST

      public static final String SAVE_PERSIST
      If set to TRUE, the graph will be saved in the persist directory (see the config reference for more information). If set to FALSE, the graph will be removed when the graph server is shutdown. Supported values:The default value is FALSE.
    • ADD_TABLE_MONITOR

      public static final String ADD_TABLE_MONITOR
      Adds a table monitor to every table used in the creation of the graph; this table monitor will trigger the graph to update dynamically upon inserts to the source table(s). Note that upon database restart, if SAVE_PERSIST is also set to TRUE, the graph will be fully reconstructed and the table monitors will be reattached. For more details on table monitors, see GPUdb.createTableMonitor. Supported values:The default value is FALSE.
    • GRAPH_TABLE

      public static final String GRAPH_TABLE
      If specified, the created graph is also created as a table with the given name, in [schema_name.]table_name format, using standard name resolution rules and meeting table naming criteria. The table will have the following identifier columns: ‘EDGE_ID’, ‘EDGE_NODE1_ID’, ‘EDGE_NODE2_ID’. If left blank, no table is created. The default value is ”.
    • ADD_TURNS

      public static final String ADD_TURNS
      Adds dummy ‘pillowed’ edges around intersection nodes where there are more than three edges so that additional weight penalties can be imposed by the solve endpoints. (increases the total number of edges). Supported values:The default value is FALSE.
    • IS_PARTITIONED

      public static final String IS_PARTITIONED
      Supported values:The default value is FALSE.
    • SERVER_ID

      public static final String SERVER_ID
      Indicates which graph server(s) to send the request to. Default is to send to the server with the most available memory.
    • USE_RTREE

      public static final String USE_RTREE
      Use an range tree structure to accelerate and improve the accuracy of snapping, especially to edges. Supported values:The default value is TRUE.
    • LABEL_DELIMITER

      public static final String LABEL_DELIMITER
      If provided the label string will be split according to this delimiter and each sub-string will be applied as a separate label onto the specified edge. The default value is ”.
    • ALLOW_MULTIPLE_EDGES

      public static final String ALLOW_MULTIPLE_EDGES
      Multigraph choice; allowing multiple edges with the same node pairs if set to true, otherwise, new edges with existing same node pairs will not be inserted. Supported values:The default value is TRUE.
    • EMBEDDING_TABLE

      public static final String EMBEDDING_TABLE
      If table exists (should be generated by the match/graph match_embedding solver), the vector embeddings for the newly inserted nodes will be appended into this table. The default value is ”.